/*
 * OPPO Sans 4.0 CJK mapping.
 * License: /fonts/oppo-sans/OPPO-Sans-4.0-License-Notice.txt
 */

@font-face {
  font-family: "OPPO Sans";
  src:
    local("OPPO Sans 4.0"),
    local("OPPO Sans"),
    url("./OPPOSans4.0-Regular.woff2") format("woff2");
  font-style: normal;
  font-weight: 400;
  font-display: swap;
  unicode-range:
    U+2E80-2EFF,
    U+2F00-2FDF,
    U+2FF0-2FFF,
    U+3000-303F,
    U+3040-30FF,
    U+3100-312F,
    U+31A0-31BF,
    U+3200-32FF,
    U+3300-33FF,
    U+3400-4DBF,
    U+4E00-9FFF,
    U+F900-FAFF,
    U+FE10-FE1F,
    U+FE30-FE6F,
    U+FF00-FFEF,
    U+20000-2EBEF;
}

@font-face {
  font-family: "OPPO Sans";
  src:
    local("OPPO Sans 4.0 Medium"),
    local("OPPO Sans Medium"),
    url("./OPPOSans4.0-Medium.woff2") format("woff2");
  font-style: normal;
  font-weight: 500;
  font-display: swap;
  unicode-range:
    U+2E80-2EFF,
    U+2F00-2FDF,
    U+2FF0-2FFF,
    U+3000-303F,
    U+3040-30FF,
    U+3100-312F,
    U+31A0-31BF,
    U+3200-32FF,
    U+3300-33FF,
    U+3400-4DBF,
    U+4E00-9FFF,
    U+F900-FAFF,
    U+FE10-FE1F,
    U+FE30-FE6F,
    U+FF00-FFEF,
    U+20000-2EBEF;
}

@font-face {
  font-family: "OPPO Sans";
  src:
    local("OPPO Sans 4.0 Bold"),
    local("OPPO Sans Bold"),
    url("./OPPOSans4.0-Bold.woff2") format("woff2");
  font-style: normal;
  font-weight: 700;
  font-display: swap;
  unicode-range:
    U+2E80-2EFF,
    U+2F00-2FDF,
    U+2FF0-2FFF,
    U+3000-303F,
    U+3040-30FF,
    U+3100-312F,
    U+31A0-31BF,
    U+3200-32FF,
    U+3300-33FF,
    U+3400-4DBF,
    U+4E00-9FFF,
    U+F900-FAFF,
    U+FE10-FE1F,
    U+FE30-FE6F,
    U+FF00-FFEF,
    U+20000-2EBEF;
}

@font-face {
  font-family: "DM Sans";
  src:
    local("OPPO Sans 4.0"),
    local("OPPO Sans"),
    url("./OPPOSans4.0-Regular.woff2") format("woff2");
  font-style: normal;
  font-weight: 400;
  font-display: swap;
  unicode-range:
    U+2E80-2EFF,
    U+2F00-2FDF,
    U+2FF0-2FFF,
    U+3000-303F,
    U+3040-30FF,
    U+3100-312F,
    U+31A0-31BF,
    U+3200-32FF,
    U+3300-33FF,
    U+3400-4DBF,
    U+4E00-9FFF,
    U+F900-FAFF,
    U+FE10-FE1F,
    U+FE30-FE6F,
    U+FF00-FFEF,
    U+20000-2EBEF;
}

@font-face {
  font-family: "DM Sans";
  src:
    local("OPPO Sans 4.0 Medium"),
    local("OPPO Sans Medium"),
    url("./OPPOSans4.0-Medium.woff2") format("woff2");
  font-style: normal;
  font-weight: 500 600;
  font-display: swap;
  unicode-range:
    U+2E80-2EFF,
    U+2F00-2FDF,
    U+2FF0-2FFF,
    U+3000-303F,
    U+3040-30FF,
    U+3100-312F,
    U+31A0-31BF,
    U+3200-32FF,
    U+3300-33FF,
    U+3400-4DBF,
    U+4E00-9FFF,
    U+F900-FAFF,
    U+FE10-FE1F,
    U+FE30-FE6F,
    U+FF00-FFEF,
    U+20000-2EBEF;
}

@font-face {
  font-family: "DM Sans";
  src:
    local("OPPO Sans 4.0 Bold"),
    local("OPPO Sans Bold"),
    url("./OPPOSans4.0-Bold.woff2") format("woff2");
  font-style: normal;
  font-weight: 700;
  font-display: swap;
  unicode-range:
    U+2E80-2EFF,
    U+2F00-2FDF,
    U+2FF0-2FFF,
    U+3000-303F,
    U+3040-30FF,
    U+3100-312F,
    U+31A0-31BF,
    U+3200-32FF,
    U+3300-33FF,
    U+3400-4DBF,
    U+4E00-9FFF,
    U+F900-FAFF,
    U+FE10-FE1F,
    U+FE30-FE6F,
    U+FF00-FFEF,
    U+20000-2EBEF;
}

@font-face {
  font-family: "Kanit";
  src:
    local("OPPO Sans 4.0"),
    local("OPPO Sans"),
    url("./OPPOSans4.0-Regular.woff2") format("woff2");
  font-style: normal;
  font-weight: 400;
  font-display: swap;
  unicode-range:
    U+2E80-2EFF,
    U+2F00-2FDF,
    U+2FF0-2FFF,
    U+3000-303F,
    U+3040-30FF,
    U+3100-312F,
    U+31A0-31BF,
    U+3200-32FF,
    U+3300-33FF,
    U+3400-4DBF,
    U+4E00-9FFF,
    U+F900-FAFF,
    U+FE10-FE1F,
    U+FE30-FE6F,
    U+FF00-FFEF,
    U+20000-2EBEF;
}

@font-face {
  font-family: "Kanit";
  src:
    local("OPPO Sans 4.0 Medium"),
    local("OPPO Sans Medium"),
    url("./OPPOSans4.0-Medium.woff2") format("woff2");
  font-style: normal;
  font-weight: 500 600;
  font-display: swap;
  unicode-range:
    U+2E80-2EFF,
    U+2F00-2FDF,
    U+2FF0-2FFF,
    U+3000-303F,
    U+3040-30FF,
    U+3100-312F,
    U+31A0-31BF,
    U+3200-32FF,
    U+3300-33FF,
    U+3400-4DBF,
    U+4E00-9FFF,
    U+F900-FAFF,
    U+FE10-FE1F,
    U+FE30-FE6F,
    U+FF00-FFEF,
    U+20000-2EBEF;
}

@font-face {
  font-family: "Kanit";
  src:
    local("OPPO Sans 4.0 Bold"),
    local("OPPO Sans Bold"),
    url("./OPPOSans4.0-Bold.woff2") format("woff2");
  font-style: normal;
  font-weight: 700;
  font-display: swap;
  unicode-range:
    U+2E80-2EFF,
    U+2F00-2FDF,
    U+2FF0-2FFF,
    U+3000-303F,
    U+3040-30FF,
    U+3100-312F,
    U+31A0-31BF,
    U+3200-32FF,
    U+3300-33FF,
    U+3400-4DBF,
    U+4E00-9FFF,
    U+F900-FAFF,
    U+FE10-FE1F,
    U+FE30-FE6F,
    U+FF00-FFEF,
    U+20000-2EBEF;
}

@font-face {
  font-family: "Poppins";
  src:
    local("OPPO Sans 4.0"),
    local("OPPO Sans"),
    url("./OPPOSans4.0-Regular.woff2") format("woff2");
  font-style: normal;
  font-weight: 400;
  font-display: swap;
  unicode-range:
    U+2E80-2EFF,
    U+2F00-2FDF,
    U+2FF0-2FFF,
    U+3000-303F,
    U+3040-30FF,
    U+3100-312F,
    U+31A0-31BF,
    U+3200-32FF,
    U+3300-33FF,
    U+3400-4DBF,
    U+4E00-9FFF,
    U+F900-FAFF,
    U+FE10-FE1F,
    U+FE30-FE6F,
    U+FF00-FFEF,
    U+20000-2EBEF;
}

@font-face {
  font-family: "Poppins";
  src:
    local("OPPO Sans 4.0 Medium"),
    local("OPPO Sans Medium"),
    url("./OPPOSans4.0-Medium.woff2") format("woff2");
  font-style: normal;
  font-weight: 500 600;
  font-display: swap;
  unicode-range:
    U+2E80-2EFF,
    U+2F00-2FDF,
    U+2FF0-2FFF,
    U+3000-303F,
    U+3040-30FF,
    U+3100-312F,
    U+31A0-31BF,
    U+3200-32FF,
    U+3300-33FF,
    U+3400-4DBF,
    U+4E00-9FFF,
    U+F900-FAFF,
    U+FE10-FE1F,
    U+FE30-FE6F,
    U+FF00-FFEF,
    U+20000-2EBEF;
}

@font-face {
  font-family: "Poppins";
  src:
    local("OPPO Sans 4.0 Bold"),
    local("OPPO Sans Bold"),
    url("./OPPOSans4.0-Bold.woff2") format("woff2");
  font-style: normal;
  font-weight: 700;
  font-display: swap;
  unicode-range:
    U+2E80-2EFF,
    U+2F00-2FDF,
    U+2FF0-2FFF,
    U+3000-303F,
    U+3040-30FF,
    U+3100-312F,
    U+31A0-31BF,
    U+3200-32FF,
    U+3300-33FF,
    U+3400-4DBF,
    U+4E00-9FFF,
    U+F900-FAFF,
    U+FE10-FE1F,
    U+FE30-FE6F,
    U+FF00-FFEF,
    U+20000-2EBEF;
}
